﻿using System;
using System.Collections.Generic;
using System.Text;
using FreshMvvm;

namespace FreshMVVMSFDataGrid.ViewModel
{
    public class MenuViewModel : FreshBasePageModel
    {

        #region Property MenuItems

        public List<string> MenuItems
        {
            get;
            set;
        }

        #endregion

        #region Property SelectedMenuItem

        public string SelectedMenuItem
        {
            get
            {
                return null;
            }
            set
            {
                switch (value)
                {
                    case "Start":
                    {
                        CoreMethods.PushPageModel<StartViewModel>();
                        break;
                    }
                    case "Other":
                    {
                        CoreMethods.PushPageModel<OtherViewModel>();
                        break;
                    }

                }

                RaisePropertyChanged();
            }
        }

        #endregion

        public override void Init(object initData)
        {
            base.Init(initData);
            MenuItems = new List<string>
            {
                "Start",
                "Other"
            };
        }
    }
}
